{
  config,
  pkgs,
  lib,
  ...
}:

{
  # Alicia - doesnt work yet... until in nixpkgs...
  services.draupnir = {
    enable = true;

    pantalaimon = {
      enable = true;
      username = "draupnir";
      passwordFile = "/etc/draupnir-password";
      options = {
        homeserver = "http://localhost:8008";
        ssl = false;
      };
    };
    settings = {
      managementRoom = "#draupnir-mgmt:rory.gay";
      verboseLogging = false;
      recordIgnoredInvites = true; # Let's log ignored invites, just incase
      autojoinOnlyIfManager = true; # Let's not open ourselves up to DoS attacks
      automaticallyRedactForReasons = [ "*" ]; # I always want autoredact
      fasterMembershipChecks = true;

      backgroundDelayMS = 10; # delay isn't needed, I don't mind the performance hit
      pollReports = false; # this is a single person homeserver... let's save ourself the work

      admin.enableMakeRoomAdminCommand = true;
      commands.ban.defaultReasons = [
        "spam"
        "harassment"
        "transphobia"
        "scam"
      ];
      protections = {
        wordlist = {
          words = [
            "tranny"
            "faggot"
            "ywnbaw"
            "nigger"
          ];
          minutesBeforeTrusting = 0;
        };
      };
    };
  };

  #  services.pantalaimon-headless.instances.draupnir = {
  #    homeserver = "http://localhost:8008";
  #    ssl = false;
  #  };

}
