{
  lib,
  fetchgit,
  makeWrapper,
  nodejs,
  buildNpmPackage,
}:

buildNpmPackage rec {
  pname = "out-of-your-element";
  version = "0";
  src = fetchgit {
    url = "https://gitdab.com/cadence/out-of-your-element.git";
    sha256 = "K9myaHmCTRQEHmOUmRj0f/51GgQyPl7mNBtBhe3rUMw=";
  };
  npmDepsHash = "sha256-Ujo+qz3HiHMNUhbiYiSp5Z6khVqzXL4ayvxXERwdsG4=";
  makeCacheWritable = true; # Something tries to write there, idk why - Emma [it/its] @ Rory&

  nativeBuildInputs = [ makeWrapper ];

  meta = with lib; {
    description = "A Matrix Discord bridge";
    homepage = "https://gitdab.com/cadence/out-of-your-element";
    longDescription = ''
      Cool.
    '';
    #license = licenses.agpl3;
    #maintainers = with maintainers; [ RorySys ];
    mainProgram = "null";
  };
}
